<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:30 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>P-Index</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="../presentation/package-summary.html">presentation</a> - package presentation</dt>
<dd>&nbsp;</dd>
<dt><a href="../model/Products.html" title="class in model"><span class="typeNameLink">Products</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">- contine patru variabile instanta: id-ul produsului (de tip int), numele produsului (de tip String), pretul produsului (de tip float) si stocul (de tip int); 
 - clasa contine doi constructori (unul cu parametri si celalalt fara), 
 metode de get si set, pentru a accesa si modifica variabilele instanta din exteriorul acestei clase, 
 si metoda toString, folosita pentru afisarea datelor referitoare la un produs;</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#Products-int-java.lang.String-float-int-">Products(int, String, float, int)</a></span> - Constructor for class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Products.html#Products--">Products()</a></span> - Constructor for class model.<a href="../model/Products.html" title="class in model">Products</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">ProductsAbstractDAO</span></a> - Class in <a href="../dao_package/package-summary.html">dao_package</a></dt>
<dd>
<div class="block">– extinde clasa AbstractDAO; aceasta clasa nu are variabile instanta si contine doar un constructor;</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao_package/ProductsAbstractDAO.html#ProductsAbstractDAO--">ProductsAbstractDAO()</a></span> - Constructor for class dao_package.<a href="../dao_package/ProductsAbstractDAO.html" title="class in dao_package">ProductsAbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../business_layer/ProductsBLL.html" title="class in business_layer"><span class="typeNameLink">ProductsBLL</span></a> - Class in <a href="../business_layer/package-summary.html">business_layer</a></dt>
<dd>
<div class="block">– contine doua variabile instanta: un obiect de tipul ProductsAbstractDAO, 
 care are rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul ProductsValidation, care are rolul de a valida datele referitoare la un produs 
 inainte de efectuarea oricarei operatii asupra lui; 
 - pe langa constructor, clasa contine si cate o metoda pentru fiecare operatie de baza asupra tabelului Products 
 (adaugarea unui produs, stergerea unui produs, editarea numelui produsului, editarea stocului produsului, 
 editarea cantitatii produsului si vizualizarea tuturor produselor din tabela Products);</div>
</dd>
<dt><span class="memberNameLink"><a href="../business_layer/ProductsBLL.html#ProductsBLL-dao_package.ProductsAbstractDAO-business_layer.ProductsValidation-">ProductsBLL(ProductsAbstractDAO, ProductsValidation)</a></span> - Constructor for class business_layer.<a href="../business_layer/ProductsBLL.html" title="class in business_layer">ProductsBLL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../business_layer/ProductsValidation.html" title="class in business_layer"><span class="typeNameLink">ProductsValidation</span></a> - Class in <a href="../business_layer/package-summary.html">business_layer</a></dt>
<dd>
<div class="block">– contine o singura variabila instanta, de tipul Products, 
 care contine date referitoare la un produs; pe langa constructor, clasa contine si o metoda care se ocupa 
 cu validarea informatiilor referitoare la un produs;</div>
</dd>
<dt><span class="memberNameLink"><a href="../business_layer/ProductsValidation.html#ProductsValidation-model.Products-">ProductsValidation(Products)</a></span> - Constructor for class business_layer.<a href="../business_layer/ProductsValidation.html" title="class in business_layer">ProductsValidation</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-11.html">Prev Letter</a></li>
<li><a href="index-13.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-12.html" target="_top">Frames</a></li>
<li><a href="index-12.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
